Printago API
POST /v1/customizer/fonts/store

Upload custom font

Upload a custom font binary (.ttf / .otf, base64-encoded) along with a license attestation.

Requires: customizer.manage

Request Body

CustomFontUploadBody
familyNamerequired
string
Display family name to register the font under.
fileBase64required
string
Base64-encoded font binary (no data URI prefix).
filenamerequired
string
Original filename (must end in `.ttf` or `.otf`).
licenseAttestedByUserIdrequired
string
Firebase UID of the user who attested they have rights to use this font.

Example Request

application/json
{
  "familyName": "string",
  "filename": "string",
  "fileBase64": "string",
  "licenseAttestedByUserId": "string"
}

Response Schema

StoreCustomFont
createdAtrequired
string
format: date-time
familyNamerequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
licenseAttestedAtrequired
string
format: date-time
licenseAttestedByUserIdrequired
string
storagePathrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "familyName": "string",
  "storagePath": "string",
  "licenseAttestedAt": "2026-08-24T03:58:55.374Z",
  "licenseAttestedByUserId": "string",
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:55.374Z",
  "updatedAt": "2026-08-24T03:58:55.374Z"
}